using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using COMM;
namespace vmsnet
{
    public partial class FMain
    {
        public void _STEP_CLOSING_START(ESMStep step)
        {
            //자동연결쓰레드종료
            bRunConnection = false;
            this.thConnection.Dispose();

            //############################
            //####     사용자 코드
            //############################
            _USER_CLOSE_START();

            //############################
            //####     개발자 권장코드
            //############################

            PUB.log.Add("program off");
            PUB.log.Flush();
        }

        public StepResult _STEP_CLOSING(ESMStep step, TimeSpan stepTime, TimeSpan seqTime)
        {
            //개체가 모두 종료되었는지 체크한다.

            //############################
            //####     사용자 전용 코드
            //############################
            if (USER_CLOSE_WAIT() == false) return StepResult.Wait;

            //############################
            //####     개발자 권장코드
            //############################


            PUB.sm.SetNewStep(ESMStep.CLOSED);
            return StepResult.Complete;
        }

        public void _STEP_CLOSED_START(ESMStep step)
        {
            try
            {
                this.BeginInvoke(new Action(() =>
                {
                    //화면을 닫는다
                    PUB.sm.Stop();
                    this.Close();
                }));
            }
            catch { }
        }
        public StepResult _STEP_CLOSED(ESMStep step, TimeSpan stepTime, TimeSpan seqTime)
        {
            return StepResult.Wait;
        }

    }
}
